<%if @header.links.empty? %>
<div class="alert alert-success">
<button type="button" class="close" data-dismiss="alert"><span aria-hidden="true">×</span><span class="sr-only">Close</span></button>No analytics until now 
</div>
<%=link_to "Back",root_url, :class => 'btn btn-info' %>
<%else %>
<%= content_tag :div, "", id: @header.name, data: {headers: headers_chart_data} %>

<script>
new Morris.Line({
  // ID of the element in which to draw the chart.
  element: '<%=@header.name %>',
  // Chart data records -- each entry in this array corresponds to a point on
  // the chart.
  data: $("#<%=@header.name %>").data("headers"),
  // The name of the data record attribute that contains x-values.
  xkey: 'link_id',
  // A list of names of data record attributes that contain y-values.
  ykeys: ['count'],
  // Labels for the ykeys -- will be displayed when you hover over the
  // chart.
  labels: ['Value']
});
</script>

<table class="table table-hover" style="width:60%">
<hr>
<legend>Header Links</legend>
  <thead>
    <tr>
      <th>#</th>
      <th>Link</th>
      <th>Count</th>
    </tr>
  </thead>
  <tbody>
   <% @header.links.uniq.each do |l| %>
    <tr>
      <td></td>
      <td><%= l.links %></td>
      <td><%= @header.trackers.where("link_id=?",l.id).count %></td>
    </tr>
   <%end %>
  </tbody>
</table>
<%end %>
